Skip to main content
GET
/
rdc
/
deposits
/
{deposit_id}
Get Remote Check Deposit
curl --request GET \
  --url https://api-sandbox.synctera.com/v0/rdc/deposits/{deposit_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.synctera.com/v0/rdc/deposits/{deposit_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.synctera.com/v0/rdc/deposits/{deposit_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "date_captured": "2010-05-06T12:23:34.321Z",
  "date_processed": "2010-05-06T12:23:34.321Z",
  "deposit_amount": 12345,
  "id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
  "account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
  "back_image_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
  "check_amount": 12345,
  "deposit_currency": "USD",
  "front_image_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
  "creation_time": "2010-05-06T12:23:34.321Z",
  "last_updated_time": "2010-05-06T12:23:34.321Z",
  "ocr_account_number": "123456789",
  "ocr_check_number": "001",
  "ocr_routing_number": "026009593",
  "transaction_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
  "vendor_info": {
    "content_type": "application/json",
    "json": {},
    "vendor": "SOCURE"
  },
  "business_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
  "metadata": {},
  "person_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
  "tenant": "abcdef_ghijkl"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

deposit_id
string<uuid>
required

ID of a deposit for a remote deposit capture

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

Response

Successful retrieval of a Remote Check Deposit

Deposit using remote deposit capture

date_captured
string<date-time>
required

Date the deposit was captured, in RFC 3339 format

Example:

"2010-05-06T12:23:34.321Z"

date_processed
string<date-time>
required

Date the deposit was processed, in RFC 3339 format

Example:

"2010-05-06T12:23:34.321Z"

deposit_amount
integer
required

Amount deposited in ISO 4217 minor currency units

Example:

12345

id
string<uuid>
required

Remote Check Deposit ID

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

status
enum<string>
required

The status of the deposit

Available options:
FAILED,
MANUAL_POST_REJECTED,
PENDING,
REJECTED,
RETURNED,
SUBMITTED
account_id
string<uuid>
required

The ID of the account

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

back_image_id
string<uuid>
required

ID of the uploaded image of the back of the check

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

check_amount
integer
required

Amount on check in ISO 4217 minor currency units

Required range: x >= 1
Example:

12345

deposit_currency
string
required

ISO 4217 currency code for the deposit amount

Example:

"USD"

front_image_id
string<uuid>
required

ID of the uploaded image of the front of the check

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

creation_time
string<date-time>
Example:

"2010-05-06T12:23:34.321Z"

last_updated_time
string<date-time>
Example:

"2010-05-06T12:23:34.321Z"

ocr_account_number
string

Account number of the issuer of the check, included if OCR is successful

Example:

"123456789"

ocr_check_number
string

The unique check number for this check in the checkbook, included if OCR is successful and there is a check number on the check

Example:

"001"

ocr_routing_number
string

Routing number of the issuing bank, included if OCR is successful

Example:

"026009593"

transaction_id
string<uuid>

The ID of the transaction associated with this deposit

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

vendor_info
Vendor Info · object

The information provided to Synctera from the vendor. Interpretation of this object is up to the client.

business_id
string<uuid>

Unique ID for the business. Exactly one of business_id or person_id must be set.

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

metadata
object

Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.

person_id
string<uuid>

Unique ID for the person. Exactly one of person_id or business_id must be set.

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

tenant
string

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"